Subject: Re: Ucode/BD conflict on PowerPC 860

From: Scott Wood <[email-masked]>
Date: Thu, 23 Oct 2008 10:31:48 -0500

Gray, Steve - UK wrote:
> I have tried a few things, including setting the range of muram to 
> ranges = <0x0 0x3000 0x1000>;
> 
> Am I correct to assume this will push the muram above the microcode??

No, that will confuse the kernel into thinking that muram starts at IMMR 
offset 0x3000.  You need to change the reg property of the data subnode 
to <0x1000 0xc00>, so that you restrict the allocation range without 
affecting the offset that is subtracted from the physical address to 
obtain the value given to the CPM.

-Scott